package ucot.ui.gui.tree.analyzemodeltree;

import java.util.List;
import java.util.Set;
import java.util.Vector;

import javax.swing.Icon;

public class MethodTreeItem extends TreeItem {
    
	String entity;
    
	public MethodTreeItem(String entity, String method, AnalyzeTreeModel model, TreeItem parent) {
		super(method, model,parent);
		this.entity = entity;
	}
	public List getChildren() {
		List<TreeItem> items = new Vector<TreeItem>();
		Set<String> relatedEntities = getAnalyzeModel().getEditor().getEntitiesInfluencedByMethod(entity,getName());
		for(String  entity: relatedEntities){
			TreeItem item = new EntityTreeItem(entity, getTreeModel(), this, true);
			items.add(item);
		}
		return items;
	}

    @Override
    public Icon getIcon() {
        return AnalyzeModelTree.methodIcon;
    }
}
