package ucot.utils;

import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.StringTokenizer;

//TODO comment me
public class StringTools {
	public static String firstLetterUpcase(String str){
		if (str == null) return null;
		if (str.length() == 0) return str;
		return Character.toUpperCase(str.charAt(0)) + str.substring(1);
	}
	
	public static String firstLetterLowercase(String str){
		if (str == null) return null;
		if (str.length() == 0) return str;
		return Character.toLowerCase(str.charAt(0)) + str.substring(1);
	}
	
	public static String exceptionStackTrace(Exception e) {
		StringWriter writer = new StringWriter();
		e.printStackTrace(new PrintWriter(writer));
		return writer.toString();
	}
	
	public static String removeWhitespacesTabsLineBreaks(String str) {
		//Hack to remove all line breaks,tabs and whitespaces
		String tmp = str;
		tmp = tmp.replace("\n"," ");
		tmp = tmp.replace("\t"," ");
		StringTokenizer st = new StringTokenizer(tmp, " ",false);
		StringBuffer sb = new StringBuffer();
		while(st.hasMoreTokens()) {
			String token = st.nextToken();
			if (! token.equals(" ")) {
				sb.append(token);
				sb.append(" ");
			}
		}
		
		return sb.toString().trim();
	}
}
